List Accounts
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"version": 123,
"customFields": {},
"name": "<string>",
"code": "<string>",
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"addressLine4": "<string>",
"locality": "<string>",
"region": "<string>",
"postCode": "<string>",
"country": "<string>"
},
"emailAddress": "<string>",
"parentAccountId": "<string>",
"billEpoch": "2023-12-25",
"purchaseOrderNumber": "<string>",
"currency": "USD",
"statementDefinitionId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"creditApplicationOrder": [],
"daysBeforeBillDue": 123
}
],
"nextToken": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve a list of Accounts that can be filtered by Account ID or Account Code.
GET
/
organizations
/
{orgId}
/
accounts
List Accounts
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization. The Organization represents your company as a direct customer of the m3ter service.
Query Parameters
Number of accounts to retrieve per page.
Required range:
1 <= x <= 100nextToken for multi-page retrievals.
List of Account IDs to retrieve.
List of Account Codes to retrieve. These are unique short codes for each Account.
⌘I